Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTableHeaderUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TableHeaderUI
                  |
                  +--javax.swing.plaf.basic.BasicTableHeaderUI

public class BasicTableHeaderUI
extends TableHeaderUI

BasicTableHeaderUI implementation

Inner Class Summary
`class` | `BasicTableHeaderUI.MouseInputHandler` This inner class is marked "public" due to a compiler bug.

Field Summary
`protected JTableHeader` | `header` The JTableHeader that is delegating the painting to this UI.
`protected MouseInputListener` | `mouseInputListener`
`protected CellRendererPane` | `rendererPane`

Constructor Summary
`BasicTableHeaderUI()`

Method Summary
`protected MouseInputListener` | `createMouseInputListener()` Creates the mouse listener for the JTable.
`static ComponentUI` | `createUI(JComponent h)`
`Dimension` | `getMaximumSize(JComponent c)` Return the maximum size of the header.
`Dimension` | `getMinimumSize(JComponent c)` Return the minimum size of the header.
`Dimension` | `getPreferredSize(JComponent c)` Return the preferred size of the header.
`protected void` | `installDefaults()` Initialize JTableHeader properties, e.g.
`protected void` | `installKeyboardActions()` Register all keyboard actions on the JTableHeader.
`protected void` | `installListeners()` Attaches listeners to the JTableHeader.
`void` | `installUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallKeyboardActions()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### header

    protected JTableHeader header

  The JTableHeader that is delegating the painting to this UI.

### rendererPane

    protected CellRendererPane rendererPane

### mouseInputListener

    protected MouseInputListener mouseInputListener

Constructor Detail

### BasicTableHeaderUI

    public BasicTableHeaderUI()

Method Detail

### createMouseInputListener

    protected MouseInputListener createMouseInputListener()

  Creates the mouse listener for the JTable.

### createUI

    public static ComponentUI createUI(JComponent h)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `ComponentUI`

### installDefaults

    protected void installDefaults()

  Initialize JTableHeader properties, e.g. font, foreground, and background. The font, foreground, and background properties are only set if their current value is either null or a UIResource, other properties are set if the current value is null.
  See Also:
    `installUI(javax.swing.JComponent)`

### installListeners

    protected void installListeners()

  Attaches listeners to the JTableHeader.

### installKeyboardActions

    protected void installKeyboardActions()

  Register all keyboard actions on the JTableHeader.

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### uninstallDefaults

    protected void uninstallDefaults()

### uninstallListeners

    protected void uninstallListeners()

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `ComponentUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Return the minimum size of the header. The minimum width is the sum of the minimum widths of each column (plus inter-cell spacing).
  Overrides:
    `getMinimumSize` in class `ComponentUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Return the preferred size of the header. The preferred height is the maximum of the preferred heights of all of the components provided by the header renderers. The preferred width is the sum of the preferred widths of each column (plus inter-cell spacing).
  Overrides:
    `getPreferredSize` in class `ComponentUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Return the maximum size of the header. The maximum width is the sum of the maximum widths of each column (plus inter-cell spacing).
  Overrides:
    `getMaximumSize` in class `ComponentUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.